### Method

# Vips Image draw_mask1

#### Declaration [src]

    int
    vips_draw_mask1 (
      VipsImage* image,
      double ink,
      VipsImage* mask,
      int x,
      int y,
      ...
    )

#### Description [src]

As `vips_draw_mask()`, but just takes a single double for `ink`.

See also

`vips_draw_mask()`.

This method is not directly available to language bindings.

#### Parameters

`ink`

  Type: `double`

  Value to draw.

`mask`

  Type: `VipsImage`

  Mask of 0/255 values showing where to plot.

  The data is owned by the caller of the method.

`x`

  Type: `int`

  Draw mask here.

`y`

  Type: `int`

  Draw mask here.

`...`

  Type: ``

  `NULL`-terminated list of optional named arguments.

#### Return value

Type: `int`

0 on success, or -1 on error.